Page 1 of 2 12 LastLast
Results 1 to 10 of 11
  1. #1
    25+ Posting Member matta757's Avatar
    Join Date
    Nov 2009
    Location
    Minneapolis, Minnesota, USA
    Posts
    37
    Contribute If you enjoy reading the
    content here, click the below
    image to support MyCockpit site.
    Click Here To Contribute To Our Site

    Which version of FS2Phidgets to install?

    Hi everyone,

    Pardon my ignorance on this and if this topic is asking a redundant question the mods can feel free to delete it, but what is the most current version of FS2Phidgets? In Alan's download list, I see 5.0.21 which would appear to be the newest, but there is a file that was posted almost a year later that is version 4.3.64.

    On a side note, neither of these will install properly for me. I am running Windows 7 64-bit and when I tried to install 5.0.21 it tells me my .NET framework needs to be updated to 1.1.4322, but when I try to install .4322 Windows says there is a compatibility issue.

    When I try to install 4.3.64, I get an Access Violation notification in regards to several WINDOWS files. I do not know what to do.

    I'm sorry if these questions are elementary. I am new to Phidgets having just given up on Opencockpits and their stupid SIOC. I am hoping to use FS2Phidgets to DC motorize my throttles. If anyone can help me sort these issues out, I would be very grateful.

    Thanks,
    Matt

  2. #2
    300+ Forum Addict Tom_G_2010's Avatar
    Join Date
    Mar 2011
    Location
    Central Mass
    Posts
    437
    Contribute If you enjoy reading the
    content here, click the below
    image to support MyCockpit site.
    Click Here To Contribute To Our Site

    Re: Which version of FS2Phidgets to install?

    I am running 5 on two of my Win 7 64 machines and it does require ,net 1.1.4 when I installed .net it did give me the same error message but I installed it anyway and FS2P v5 runs ok. I have some screen sizing issues where some text on the app isn't showing correctly, but the app is working ok.

    As to the question of why the older version was released again later, I'm not sure, however when the developer was assisting me with a programming question he suggested that there was certain functionality that was not fully developed in 5 and I could easily load and test the same using 4 if I chose to.

  3. #3
    builder
    Join Date
    Jan 2007
    Location
    Texas
    Posts
    587
    Contribute If you enjoy reading the
    content here, click the below
    image to support MyCockpit site.
    Click Here To Contribute To Our Site

    Re: Which version of FS2Phidgets to install?

    To clarify. The established v4 user base want same look-and-feel and do not, justifiably, want to learn a new interface.
    However, many users also want specialized functionality.
    Instead of constantly upgrading v4, it made sense to design a tool that was more flexible.
    Version 5 was born. Version 5 will remain pretty much as is.
    Functionality of v5 is being added to v4 (mainly because is my favorite version).
    Current v4 user interface and functionality will remain unchanged.
    In short, the two versions will merge.

    Regards,
    Alan

  4. #4
    25+ Posting Member matta757's Avatar
    Join Date
    Nov 2009
    Location
    Minneapolis, Minnesota, USA
    Posts
    37
    Contribute If you enjoy reading the
    content here, click the below
    image to support MyCockpit site.
    Click Here To Contribute To Our Site

    Re: Which version of FS2Phidgets to install?

    Hi Alan,

    Thanks for that clarification. Do you know if anyone else is having system file access problems when trying to install Version 4? I cannot get it to install on my machine because I get various access violations. Do you know how to fix this? I am running Windows 7 64-bit.

    Thank you,
    Matt

  5. #5
    builder
    Join Date
    Jan 2007
    Location
    Texas
    Posts
    587
    Contribute If you enjoy reading the
    content here, click the below
    image to support MyCockpit site.
    Click Here To Contribute To Our Site

    Re: Which version of FS2Phidgets to install?

    Very often Win7 file access issues are a result of not executing a program in "run as administrator" mode.

  6. #6
    300+ Forum Addict Tom_G_2010's Avatar
    Join Date
    Mar 2011
    Location
    Central Mass
    Posts
    437
    Contribute If you enjoy reading the
    content here, click the below
    image to support MyCockpit site.
    Click Here To Contribute To Our Site

    Re: Which version of FS2Phidgets to install?

    Quote Originally Posted by CocnutAir View Post
    Very often Win7 file access issues are a result of not executing a program in "run as administrator" mode.
    Alan,

    Having read about your future direction for FS2P being version 4, I decided to load while I'm still early enough in the scripting process that the move from 5 to 4 won't be too painful. I'm also runnign Win 7 64bit and have run into the same issue as Matt, Access Violations. I have attempted to run the install in standard mode and in as administrator mode and either way I am getting the same access violations.

    Any thoughts on workarounds or ideas on how to resolve this?

  7. #7
    builder
    Join Date
    Jan 2007
    Location
    Texas
    Posts
    587
    Contribute If you enjoy reading the
    content here, click the below
    image to support MyCockpit site.
    Click Here To Contribute To Our Site

    Re: Which version of FS2Phidgets to install?

    How do you go about "running as administrator"?
    I have win7 64-bit.

  8. #8
    300+ Forum Addict Tom_G_2010's Avatar
    Join Date
    Mar 2011
    Location
    Central Mass
    Posts
    437
    Contribute If you enjoy reading the
    content here, click the below
    image to support MyCockpit site.
    Click Here To Contribute To Our Site

    Re: Which version of FS2Phidgets to install?

    Quote Originally Posted by CocnutAir View Post
    How do you go about "running as administrator"?
    I have win7 64-bit.
    By right clicking on an executable file you should see "Run as Administrator" as one of the options. For what ever reason even the admin login on a win 7 pc has restrictions on it that can be overcome by using "Run as Administrator". In this case though no matter what I do the install of Fs2P v4 results in Access Violations as it tries to copy files.

  9. #9
    300+ Forum Addict Tom_G_2010's Avatar
    Join Date
    Mar 2011
    Location
    Central Mass
    Posts
    437
    Contribute If you enjoy reading the
    content here, click the below
    image to support MyCockpit site.
    Click Here To Contribute To Our Site

    Re: Which version of FS2Phidgets to install?

    Some additional info.

    When the install fails the specific error message states that there was an access violation while trying to copy c:\windows\system32\hh.exe.

    Here's the installer log file showing the event:

    %% PLEASE DO NOT MODIFY OR DELETE THIS FILE! %%
    %% This file contains information about the installation of an application. %%
    %% It will be used to automatically remove all application components from your computer if you choose to do so. %%


    NOTE: Beginning of the bootstrapper section

    CONFIG: Title: "FS2Phidget 4.3.64 (Beta)"

    ACTION: RegKey: "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion", "SharedDLLs"

    ACTION: SystemFile: "C:\WINDOWS\SYSTEM32\VB6STKIT.DLL"
    (File currently on disk was already up to date)

    ACTION: SystemFile: "C:\WINDOWS\SYSTEM32\COMCAT.DLL"
    (File currently on disk was already up to date)

    ACTION: SystemFile: "C:\WINDOWS\SYSTEM32\stdole2.tlb"
    (File currently on disk was already up to date)

    ACTION: SystemFile: "C:\WINDOWS\SYSTEM32\asycfilt.dll"
    (File currently on disk was already up to date)

    ACTION: SystemFile: "C:\WINDOWS\SYSTEM32\olepro32.dll"
    (File currently on disk was already up to date)

    ACTION: SystemFile: "C:\WINDOWS\SYSTEM32\oleaut32.dll"
    (File currently on disk was already up to date)

    ACTION: SystemFile: "C:\WINDOWS\SYSTEM32\msvbvm60.dll"
    (File currently on disk was already up to date)

    ACTION: DllSelfRegister: "C:\WINDOWS\SYSTEM32\COMCAT.DLL"

    ACTION: TLBRegister: "C:\WINDOWS\SYSTEM32\stdole2.tlb"

    ACTION: DllSelfRegister: "C:\WINDOWS\SYSTEM32\olepro32.dll"

    ACTION: DllSelfRegister: "C:\WINDOWS\SYSTEM32\oleaut32.dll"

    ACTION: DllSelfRegister: "C:\WINDOWS\SYSTEM32\msvbvm60.dll"

    NOTE: End of the bootstrapper section

    NOTE: Now spawning the main Setup program 'Setup1.exe'....

    ACTION: CreateDir: "C:\Program Files (x86)\FS2Phidget"

    ACTION: CreateDir: "C:\ProgramData\Microsoft\Windows\Start Menu\Programs\FS2Phidget"

    ACTION: SharedFile: "C:\Program Files (x86)\FS2Phidget\FSVariables4364.ini"
    (File was not found or was an older version -- new file copied)

    ACTION: CreateDir: "C:\Program Files (x86)\FS2Phidget\FSVariable4364"

    ACTION: SharedFile: "C:\Program Files (x86)\FS2Phidget\FSVariable4364\B737NG_pmMCP.ini"
    (File was not found or was an older version -- new file copied)

    ACTION: CreateDir: "C:\Program Files (x86)\FS2Phidget\FSVariable4315"

    ACTION: SharedFile: "C:\Program Files (x86)\FS2Phidget\FSVariable4315\LogicVariableTutorial.ini"
    (File was not found or was an older version -- new file copied)

    ACTION: SharedFile: "C:\Program Files (x86)\FS2Phidget\FSVariable4315\MarkerBeacons.ini"
    (File was not found or was an older version -- new file copied)

    ACTION: SharedFile: "C:\Program Files (x86)\FS2Phidget\FSVariable4364\FlapGauge.ini"
    (File was not found or was an older version -- new file copied)

    *** ERROR: C:\windows\system32\hh.exe
    *** ERROR: An access violation occurred while copying the file.
    *** ERROR: (User Responded with 'Abort')
    *** DURING THIS ACTION: SharedFile: "C:\windows\system32\hh.exe"

    *** WARNING: Setup is not yet complete.
    *** WARNING: If you quit now, this product will not be correctly installed.
    *** WARNING: Quit the setup of this product?
    *** WARNING: (User Responded with 'Yes')
    *** DURING THIS ACTION: SharedFile: "C:\windows\system32\hh.exe"

    *** WARNING: FS2Phidget 4.3.64 (Beta) Setup was interrupted before your new software was fully installed.
    *** WARNING: You can run FS2Phidget 4.3.64 (Beta) Setup in its entirety at a later time to complete the installation.
    *** WARNING: (User Responded with 'OK')

  10. #10
    builder
    Join Date
    Jan 2007
    Location
    Texas
    Posts
    587
    Contribute If you enjoy reading the
    content here, click the below
    image to support MyCockpit site.
    Click Here To Contribute To Our Site

    Re: Which version of FS2Phidgets to install?

    I downloaded and executed install on my Win7 - 64-bit machine.
    Got access warning regarding those files. Are already on my system.
    Replied "Ignore" to message, and replied "Keep" to subsequent prompt "To keep latest version".
    Installed OK and was able to run.

Page 1 of 2 12 LastLast